Ruby master - Bug #11823

Backport r53083
12/15/2015 05:38 PM - nagachika (Tomoyuki Chikanaga)

Status: Closed

Priority: Normal

Assignee: nobu (Nobuyoshi Nakada)

Target version:

ruby -v: - Backport: 2.0.0: REQUIRED, 2.1: DONE, 2.2:
DONE

Description

000000000Dooooooooon

r53083 (open [l encoding 0000000000000000)0000000000D

Associated revisions

Revision 7abafeb9 - 12/16/2015 07:14 AM - usa (Usaku NAKAMURA)
merge revision(s) 53083: [Backport #11823]

* io.c (parse_mode_enc): fix buffer overflow.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_ 1@53148 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 53148 - 12/16/2015 07:14 AM - usa (Usaku NAKAMURA)
merge revision(s) 53083: [Backport #11823]

* io.c (parse_mode_enc): fix buffer overflow.

History

#1 - 12/15/2015 06:00 PM - nagachika (Tomoyuki Chikanaga)
- Backport changed from 2.0.0: REQUIRED, 2.1: REQUIRED, 2.2: REQUIRED to 2.0.0: REQUIRED, 2.1: REQUIRED, 2.2: DONE

Backported into ruby_2_2 branch at r53135.

#2 - 12/16/2015 07:15 AM - usa (Usaku NAKAMURA)
- Backport changed from 2.0.0: REQUIRED, 2.1: REQUIRED, 2.2: DONE to 2.0.0: REQUIRED, 2.1: DONE, 2.2: DONE

ruby_2_1r53148 merged revision(s) 53083.
